#ifndef SIMPLEXLONGDOUBLE_H
#define SIMPLEXLONGDOUBLE_H

#include <vector>

class SimplexLongDouble {

public:

  // A:  M+1 x N+1

  // N variables
  // M = m1+m2+m3

  // first row: objective function
  // m1: # <=
  // m2: # >=
  // m3: # ==

  static const int OK = 0;
  static const int UNBOUNDED = 1;
  static const int NO_SOLUTION = -1;
  
  static int solve(std::vector< std::vector<long double> > &A, int m1, int m2, int m3,
		   long double &opt_val, std::vector<long double> &result_vec);
};

#endif
