#ifndef SIMPLEXMPQ_H
#define SIMPLEXMPQ_H

#include <vector>
#include "gmpxx.h"
class SimplexMPQ {

public:

  // A:  M+1 x N+1

  // N variables
  // M = m1+m2+m3

  // first row: objective function
  // m1: # <=
  // m2: # >=
  // m3: # ==

  static const int OK = 0;
  static const int UNBOUNDED = 1;
  static const int NO_SOLUTION = -1;
  
  static int solve(std::vector< std::vector<mpq_class> > &A, int m1, int m2, int m3,
		   mpq_class &opt_val, std::vector<mpq_class> &result_vec);
};

#endif
